Draft Array: Difference between revisions

From FreeCAD Documentation
(Marked this version for translation)
(VeryImportantMessage: Added V0.21+)
 
(71 intermediate revisions by 7 users not shown)
Line 1: Line 1:
<languages/>
<translate>
<translate>

<!--T:37-->
{{Docnav
|
|
|[[Draft_Workbench|Draft]]
|IconL=
|IconR=
|IconC=Workbench_Draft.svg
}}

<!--T:46-->
{{VeryImportantMessage|THIS COMMAND IS OBSOLETE<br>
It is not be available in {{VersionPlus|0.21}}. Use [[Draft_OrthoArray|Draft OrthoArray]], [[Draft_PolarArray|Draft PolarArray]] or [[Draft_CircularArray|Draft CircularArray]] instead.}}

<!--T:1-->
<!--T:1-->
{{GuiCommand
{{GuiCommand|Name=Draft Array|Workbenches=[[Draft Module|Draft]], [[Arch Module|Arch]]|MenuLocation=Draft → Array|SeeAlso=[[Draft PathArray|PathArray]]}}
|Name=Draft Array
|Workbenches=[[Draft_Workbench|Draft]], [[Arch_Workbench|Arch]]
|SeeAlso=[[Draft_OrthoArray|Draft OrthoArray]], [[Draft_PolarArray|Draft PolarArray]], [[Draft_CircularArray|Draft CircularArray]]
}}


==Description== <!--T:2-->
==Description== <!--T:2-->
The Array tool creates an orthogonal (3-axes) or polar array from a selected object. If no object is selected, you will be invited to select one.


<!--T:3-->
<!--T:44-->
The [[Image:Draft_Array.svg|24px]] '''Draft Array''' command creates an orthogonal (3-axes) array from a selected object. The created array can be turned into a [[Draft_PolarArray|polar array]] or a [[Draft_CircularArray|circular array]] by changing its {{PropertyData|Array Type}} property.
[[Image:Draft_Array_example.jpg|400px]]


==How to use== <!--T:4-->
<!--T:19-->
The command can be used on 2D objects created with the [[Draft_Workbench|Draft Workbench]] or [[Sketcher_Workbench|Sketcher Workbench]], but also on many 3D objects such as those created with the [[Part_Workbench|Part Workbench]], [[PartDesign_Workbench|PartDesign Workbench]] or [[Arch_Workbench|Arch Workbench]].
# Select an object you wish to make an array with
# Press the {{KEY|[[Image:Draft Array.png|16px]] [[Draft Array]]}} button
# Select {{PropertyData|Array Type}}: Specifies the type of the array, ortho or polar
# For orthogonal arrays:
## {{PropertyData|Interval X}}: The interval between each copy on the first axis
## {{PropertyData|Interval Y}}: The interval between each copy on the second axis
## {{PropertyData|Interval Z}}: The interval between each copy on the third axis
## {{PropertyData|Number X}}: The number of copies on the first axis
## {{PropertyData|Number Y}}: The number of copies on the second axis
## {{PropertyData|Number Z}}: The number of copies on the third axis
# For polar arrays:
## {{PropertyData|Axis}}: The normal direction of the array circle
## {{PropertyData|Center}}: The center point of the array
## {{PropertyData|Angle}}: The angle to cover with copies
## {{PropertyData|Number Polar}}: The number of copies


==Scripting== <!--T:18-->
<!--T:47-->
This command is now obsolete. Use the [[Draft_OrthoArray|Draft OrthoArray]], [[Draft_PolarArray|Draft PolarArray]] or [[Draft_CircularArray|Draft CircularArray]] command instead.
The Array tool can by used in [[macros]] and from the python console by using one of the following functions, depending if you wish to obtain simple, standalone copies of your base object, or a parametric array object, that stays linked to the original object.


=== Simple array === <!--T:5-->
==Usage== <!--T:48-->
For rectangular array:
</translate>
{{Code|code=
array (objectslist,xvector,yvector,xnum,ynum,[zvector,znum])
}}
<translate>
<!--T:6-->
For polar array:
</translate>
{{Code|code=
array (objectslist,center,totalangle,totalnum)
}}
<translate>
<!--T:17-->
* Creates an array of the objects contained in list (that can be an object or a list of objects) with, in case of rectangular array, xnum of iterations in the x direction at xvector distance between iterations, and same for y direction with yvector and ynum. In case of polar array, center is a vector, totalangle is the angle to cover (in degrees) and totalnum is the number of objects, including the original.
* This function produces standalone copies of the base object(s)


=== Parametric array === <!--T:8-->
<!--T:4-->
# To use this command in FreeCAD version 0.19 and later you need to add a button to a custom toolbar. See [[Interface_Customization|Interface Customization]].
# Optionally select one object.
# Press the {{Button|[[Image:Draft_Array.svg|16px]] [[Draft_Array|Draft Array]]}} button.
# If you have not yet selected an object: select one object.
# The array is created.
# Optionally change its [[Draft_OrthoArray#Properties|properties]].


<!--T:14-->
==Properties== <!--T:49-->

For rectangular array:
<!--T:24-->
</translate>
See [[Draft_OrthoArray#Properties|Draft OrthoArray]].
{{Code|code=

makeArray (object,xvector,yvector,xnum,ynum)
==Scripting== <!--T:50-->

<!--T:18-->
See [[Draft_OrthoArray#Scripting|Draft OrthoArray]].


<!--T:36-->
{{Docnav
|
|
|[[Draft_Workbench|Draft]]
|IconL=
|IconR=
|IconC=Workbench_Draft.svg
}}
}}
<translate>
<!--T:9-->
For polar array:
</translate>
{{Code|code=
makeArray (object,center,totalangle,totalnum)
}}
<translate>
<!--T:10-->
* Creates an array of the given object with, in case of rectangular array, xnum of iterations in the x direction at xvector distance between iterations, and same for y direction with yvector and ynum. In case of polar array, center is a vector, totalangle is the angle to cover (in degrees) and totalnum is the number of objects, including the original.
* The result of this function is a parametric Draft Array object.


<!--T:11-->
Example:
</translate>
</translate>
{{Draft Tools navi{{#translation:}}}}
{{Code|code=
{{Userdocnavi{{#translation:}}}}
import FreeCAD,Draft
Draft.array(FreeCAD.ActiveDocument.ActiveObject,FreeCAD.Vector(2,0,0),FreeCAD.Vector(0,2,0),2,2)

}}
{{clear}}
<languages/>

Latest revision as of 08:24, 20 May 2023

THIS COMMAND IS OBSOLETE
It is not be available in version 0.21 and above. Use Draft OrthoArray, Draft PolarArray or Draft CircularArray instead.

Draft Array

Menu location
None
Workbenches
Draft, Arch
Default shortcut
None
Introduced in version
-
See also
Draft OrthoArray, Draft PolarArray, Draft CircularArray

Description

The Draft Array command creates an orthogonal (3-axes) array from a selected object. The created array can be turned into a polar array or a circular array by changing its DataArray Type property.

The command can be used on 2D objects created with the Draft Workbench or Sketcher Workbench, but also on many 3D objects such as those created with the Part Workbench, PartDesign Workbench or Arch Workbench.

This command is now obsolete. Use the Draft OrthoArray, Draft PolarArray or Draft CircularArray command instead.

Usage

  1. To use this command in FreeCAD version 0.19 and later you need to add a button to a custom toolbar. See Interface Customization.
  2. Optionally select one object.
  3. Press the Draft Array button.
  4. If you have not yet selected an object: select one object.
  5. The array is created.
  6. Optionally change its properties.

Properties

See Draft OrthoArray.

Scripting

See Draft OrthoArray.